/**
 * 
 */
package org.sistema.hibernate.tableperconcreteclassannotations.models;

import javax.persistence.Entity;

/**
 * Represents a product from a restaurant or bar
 * @author Eugenia Pérez Martínez
 * @email eugenia_perez@cuatrovientos.org
 */
@Entity
public class Food extends Product {
	private String description;
	
	/**
	 * default constructor
	 */
	public Food () {
	}

	/**
	 * @param name
	 * @param price
	 * @param description
	 */
	public Food(String name, Float price, String description) {
		super(name, price);
		this.description = description;
	}




	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Food [description=" + description + ", toString()="
				+ super.toString() + "]";
	}
	
	
}
